package com.zd.system.api.laboratory.domain;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class CabinetLock {

    @NotNull(message = "柜锁ID 不能为空！")
    @ApiModelProperty("柜锁标记位0-253")
    private String lockId;

    @NotNull(message = "参数异常！")
    @ApiModelProperty("转动角度 0-4095 开锁 940  关锁 2340")
    private String position;

    @NotNull(message = "参数异常！")
    @ApiModelProperty("延时执行 》= 0")
    private String time;

    @NotNull(message = "参数异常！")
    @ApiModelProperty("转动速度 0-3400")
    private String speed;

    public String getLockId() {
        return lockId;
    }

    public void setLockId(String lockId) {
        this.lockId = lockId;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }
}
